Bug 1076963 - (CVE-2017-15105) VUL-1: CVE-2017-15105: unbound: Improper validation of wildcard synthesized NSEC records
(CVE-2017-15105)
VUL-1: CVE-2017-15105: unbound: Improper validation of wildcard synthesized N...
Status: RESOLVED UPSTREAM
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Rubén Torrero Marijnissen
Security Team bot
https://smash.suse.de/issue/198676/
CVSSv3:SUSE:CVE-2017-15105:5.4:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-22 07:35 UTC by Alexander Bergmann
Modified: 2022-02-15 11:18 UTC (History)
7 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-01-22 07:35:18 UTC
rh#1507049

A vulnerability was discovered in DNSSEC. Processing of wildcard synthesized NSEC records may result in improper validation for non-existance in some implementations of DNSSEC. While synthesis of NSEC records is allowed by RFC4592, the synthesized owner names should not be used in the NSEC processing.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1507049
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-15105
http://seclists.org/oss-sec/2018/q1/75
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-15105.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15105
https://unbound.net/downloads/patch_cve_2017_15105.diff
https://unbound.net/downloads/CVE-2017-15105.txt
Comment 4 Frederic Crozat 2018-12-04 16:03:28 UTC
(In reply to Rossella Sblendido from comment #2)
> (In reply to Alexander Bergmann from comment #1)
> > Also affecting SUSE:SLE-15.
> 
> unbound should actually not be present in SLE 15, see
> https://bugzilla.suse.com/show_bug.cgi?id=1086428 and FATE#324467

unbound main package is not in SLE15, only:
libunbound2 / unbound-anchor / unbound-devel are.
Comment 5 Dr. Werner Fink 2022-01-19 08:32:28 UTC
Found this one ... is unbound now part of *any* product obtained by SLE-15 or any other SLE-15-SP<X> with X >= 1 ?
Comment 6 Dr. Werner Fink 2022-01-19 08:39:17 UTC
This one seems to be fixed in unbound 1.6.8 as the fix

  https://unbound.net/downloads/patch_cve_2017_15105.diff

*is* part of plain unbound 1.6.8 tar ball
Comment 8 Marcus Meissner 2022-01-19 12:20:01 UTC
all sle15 sps have:

libunbound2
unbound-anchor
unbound-devel


also openuse leap 15.3 uses this unbound, there all packages are shipped.
Comment 9 Marcus Meissner 2022-01-19 12:20:16 UTC
needinfo provided
Comment 10 Swamp Workflow Management 2022-01-25 17:22:27 UTC
openSUSE-SU-2022:0176-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    unbound-1.6.8-10.6.1
openSUSE Leap 15.3 (src):    unbound-1.6.8-10.6.1
Comment 11 Swamp Workflow Management 2022-01-25 17:28:49 UTC
SUSE-SU-2022:0176-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    unbound-1.6.8-10.6.1
SUSE Manager Retail Branch Server 4.1 (src):    unbound-1.6.8-10.6.1
SUSE Manager Proxy 4.1 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    unbound-1.6.8-10.6.1
SUSE Enterprise Storage 7 (src):    unbound-1.6.8-10.6.1
SUSE Enterprise Storage 6 (src):    unbound-1.6.8-10.6.1
SUSE CaaS Platform 4.0 (src):    unbound-1.6.8-10.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2022-02-02 14:29:06 UTC
SUSE-SU-2022:0301-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    unbound-1.6.8-3.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    unbound-1.6.8-3.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    unbound-1.6.8-3.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    unbound-1.6.8-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-02-15 11:18:04 UTC
SUSE-SU-2022:0176-2: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    unbound-1.6.8-10.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.